## NAME

CURLOPT_LOCALPORT - set local port number to use for socket

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_LOCALPORT, long port);

## DESCRIPTION

Pass a long. This sets the local port number of the socket used for the connection. This can be used in combination with CURLOPT_INTERFACE and you are recommended to use CURLOPT_LOCALPORTRANGE as well when this option is set. Valid port numbers are 1 - 65535.

## DEFAULT

0, disabled - use whatever the system thinks is fine

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.15.2

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_LOCALPORTRANGE, CURLOPT_INTERFACE

This HTML page was made with roffit.